require('./bootstrap');
import { createApp } from 'vue'
import App from "./components/App";
import '../css/loader.css'
import '../css/spinner.css'
import '../css/register.css'
import '../css/payment.css'

import VueSweetalert2 from 'vue-sweetalert2';
import 'sweetalert2/dist/sweetalert2.min.css';
import store from "./store";
// routes
import router from "./router";

import {setSecurityKey} from "./helper";

// Global component
import AddProfile from "./components/partials/AddProfile";
import Step from "./components/partials/step";
import CreateAccount from "./components/partials/CreateAccount";
import ChoosePackage from "./components/partials/ChoosePackage";
import ValidationError from "./components/partials/ValidationError";
import TextInput from './components/Form/TextInput';
import SelectInput from './components/Form/SelectInput';
import TopArea from './components/partials/TopArea';


const app = createApp(App);

app.use(store)
app.use(router)
app.use(VueSweetalert2);
//app.use(DisableAutocomplete);

const base_url = API_BASE_URL
app.config.globalProperties.$base_url = base_url
app.config.globalProperties.success_code = 100
//app.config.globalProperties.$loader = `${base_url}/img/ajax-loader.gif`;
app.config.globalProperties.$loader = `https://i.stack.imgur.com/FhHRx.gif`;

app.component('AddProfile',AddProfile);
app.component('Step',Step);
app.component('CreateAccount',CreateAccount);
app.component('ChoosePackage',ChoosePackage);
app.component('ValidationError',ValidationError);
app.component('TextInput',TextInput);
app.component('SelectInput',SelectInput);
app.component('TopArea',TopArea);

app.mount('#app');

setSecurityKey(SECURITY_KEY)

